-- http://www.ogre3d.org/tikiwiki/tiki-index.php?page=Premake
-- http://industriousone.com/command-line-arguments
-- http://blog.assarbad.net/20120929/premake4-snippet-to-create-solution-names-depending-on-target-visual-studio-version/

solution "tests"

	location "."
	configurations { "Debug", "Release" }
	platforms { "native", "x32", "x64", "universal" }
	flags { "ExtraWarnings" }

	configuration "Debug"
		defines { "DEBUG", "TRACE" }
		flags { "Symbols" }
	
	configuration "Release"
		defines { "NDEBUG", "TRACE" }
		flags { "Optimize" }


	-- Project kinds
		-- ConsoleApp
		-- Makefile
		-- SharedLib
		-- StaticLib
		-- WindowedApp

	project "tests"
		kind "ConsoleApp"
		language "C++"
		targetdir "bin"
		files { "../src/**.cpp", "main.cpp", "tests/*.h" }

		includedirs {
			"../include",
			".",
			"igloo"
		}

		configuration { "x64", "debug" }
			targetsuffix "x64_d"
		configuration { "x64", "release" }
			targetsuffix "x64"

		configuration "Debug"
			defines { "DEBUG", "USE_CHEATS", "TRACE" }
			flags { "Symbols" }
			targetsuffix "_d"
		
		configuration "Release"
			defines { "NDEBUG", "USE_CHEATS", "TRACE" }
			flags { "Optimize" }